Which devices are supported and where can I get the apps?

There are Biba apps for iOS, Android, Mac, and Windows.

Visit http://biba.com/downloads to get all your Biba apps.

Windows

  • OS System Requirements
    • Windows 7, Windows 8.1, Windows 10 (we have removed support for Windows Vista as of 3.5)
    • 32-bit and 64-bit
  • Hardware Requirements
    • Microphone and speakers are required to get on a call
    • Webcam is required to share video
  • Software Dependencies
    • .NET 4.0 Full profile is required for installation. Biba will prompt the user to go to the web to install if it’s not already present.
  • Configuration
    • Screen Share: Aero and Non-Aero themes
    • Display Setting Scaling - 100% and custom settings
  • Outlook Plug-in
    • Microsoft Outlook 2010, 2013 or 2016

OS X

  • OS System Requirements
    • OS X 10.9+ (we have removed support for 10.7 as of the 3.1 release and 10.8 as of the 3.6 release)
    • If you are running 10.8 you can go here: https://s3.amazonaws.com/builds.biba.com/osx/Biba-OSX-3.5.3678.dmg to get the version of Biba that is supported. Also, you can run the following command (from Terminal) so that the app does not auto update:
      defaults write com.biba.osx.Biba DisableAppUpdates 1
  • Hardware Requirements
    • Microphone and speakers are required to get on a call
    • Webcam is required to share video

iOS

  • OS System Requirements
    • iOS 8.0+ (we have removed support for 6.x as of the 3.1 release and 7.x as of 3.11)
  • Hardware Requirements (as dictated by OS requirements)
    • iPhone 4, 4S, 5, 5S, 5C, 6, 6+
    • iPad 2, 3rd Gen, 4th Gen, Air, Mini 1st Gen, Mini 2nd Gen
    • iPod Touch 5th Gen
  • Screens:
    • Retina and Non-Retina
    • 3.5”, 4” and iPad Aspect ratios
  • Some features are not available on devices without telephony

Android

  • OS System Requirements
    • Android OS 3.0+ (we have removed support for 2.3 (Gingerbread) as of the 3.2 release and 2.4 as of the 3.4 release).
  • Software Requirements
    • Screen Share: OpenGL ES is required for screen share viewer.
    • Google Services and Google Account are required for GCM
  • Hardware Requirements
    • There are no hardware restrictions, however some features are not available on devices without: bluetooth, telephony and wifi.
    • Tablets devices are supported in addition to Phone form-factor devices
    • The Kindle Fire family of tablets is NOT supported

Web Screen Share Viewer

  • Windows Vista, 7, 8, 8.1
    • IE Edge, 9, 10, 11 Desktop + “Metro mode”
    • Firefox 27+
    • Chrome 32+
  • OS X 10.7.x, 10.8.x, 10.9.x, 10.10.x
    • Safari 6, 6.1, 7
    • Firefox 27+
    • Chrome 32+
  • Linux (Common Linux Desktop e.g Ubuntu)
    • Chrome latest


Visit http://biba.com/downloads to get all your Biba apps.

Have more questions? Submit a request

Comments

Powered by Zendesk